PROTOC-GEN-GOGO(1)

NAME
protoc-gen-gogo - Go compiler output filter for the protocol buffer compiler

SYNOPSIS

protoc
    --plugin=protoc-gen-gogo=/usr/bin/protoc-gen-gogo --go_out=gocode input.proto

protoc
    --go_out=gocode input.proto

DESCRIPTION

protoc-gen-gogo is a filter for the protoc(1) protocol buffer compiler. It takes the protocol buffer format from protoc(1) as input and produces Go code as output which can then be used to encode (marshal) and decode (unmarshal) data in the protocol buffer format specified in its input. The input is typically produced by protoc(1) by taking a .proto input file and converting it to a protocol buffer descriptor format which protoc-gen-gogo can then read. If protoc-gen-gogo can be found in the regular search path, the --plugin flag can be omitted.

OPTIONS
protoc-gen-gogo itself doesn't like options. All input is taken from stdin. If you use the protobuf compiler to invoke protoc-gen-gogo, see protoc(1) for a detailed list of all options.

SEE ALSO
protoc(1).

AUTHOR
protoc-gen-gogo was mostly written by Rob Pike and David Symonds for The Go Authors.

REPORTING BUGS
Please file any bug in the bug tracker at https://code.google.com/p/goprotobuf/issues/list

COPYRIGHT

Copyright © 2010-2013 The Go Authors. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

•   Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

•   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

•   Neither the name of Google Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.